Package org.optaplanner.benchmark.impl.ranking

## Class TotalScoreSolverRankingComparator

- java.lang.Object
- - org.optaplanner.benchmark.impl.ranking.TotalScoreSolverRankingComparator

- All Implemented Interfaces:
    `Serializable`, `Comparator<SolverBenchmarkResult>`

      public class TotalScoreSolverRankingComparator
      extends Object
      implements Comparator<SolverBenchmarkResult>, Serializable

  This ranking `Comparator` orders a `SolverBenchmarkResult` by its total `Score`. It maximize the overall score, so it minimizes the overall cost if all `PlanningSolution`s would be executed.

  When the inputSolutions differ greatly in size or difficulty, this often results in a big difference in `Score` magnitude between each `PlanningSolution`. For example: score 10 for dataset A versus 1000 for dataset B. In such cases, dataset B would marginalize dataset A. To avoid that, use `TotalRankSolverRankingWeightFactory`.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TotalScoreSolverRankingComparator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compare​(SolverBenchmarkResult a, SolverBenchmarkResult b)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### TotalScoreSolverRankingComparator

          public TotalScoreSolverRankingComparator()

  - ### Method Detail

    - #### compare

          public int compare​(SolverBenchmarkResult a,
                             SolverBenchmarkResult b)

      Specified by:
        `compare` in interface `Comparator<SolverBenchmarkResult>`